import 'package:json_annotation/json_annotation.dart';
import 'GameInfo.dart';
import 'HouseInfo.dart';
import 'PlayerInfo.dart';
part 'SystemNotice.g.dart';

@JsonSerializable()
class SystemNotice {
  SystemNotice(this.id, this.gameId, this.houseId, this.userId,this.seasonId,this.content,this.icon,this.typeFlag,this.statusFlag,this.createTime,this.playerId,this.gameInfo,this.houseInfo,this.playerInfo,this.bonus);
  int id;
  int gameId;//游戏ID
  int houseId;//房间ID
  int userId;//用户ID
  int seasonId;//赛季ID
  String content;//内容
  String icon;//图标
  int typeFlag;//类型
  int statusFlag;//状态
  int createTime;//创建时间
  int playerId;//玩家id
  GameInfo gameInfo;//游戏信息
  HouseInfo houseInfo;//房间信息
  PlayerInfo playerInfo;//玩家信息
  int bonus;//奖金

  factory SystemNotice.fromJson(Map<String, dynamic> json) =>
      _$SystemNoticeFromJson(json);

  Map<String, dynamic> toJson() => _$SystemNoticeToJson(this);
  // 命名构造函数
  SystemNotice.empty();
  @override
  String toString() {
    return _$SystemNoticeToJson(this).toString();
  }
}
